const intersectionObserverOptions = {
    root: null,
    rootMargin: '500px', /* 뷰포트 바깥 근접 거리 */
    threshold: 0 /* 뷰포트 안쪽 표시 비율 */
};
let callback = (entries, observer) => {
    entries.forEach(entry => {
        if (entry.isIntersecting) { // 요소가 교차했는지 불리언 체크
            let elem = entry.target;
            elem.setAttribute('src', elem.getAttribute('data-src')); // 이미지 경로 복사
            observer.unobserve(elem); // 모니터링 해제
        }
    });
};
let observer;
document.addEventListener('DOMContentLoaded', function(){
    observer = new IntersectionObserver(callback, intersectionObserverOptions); // 모니터링 옵저버 객체 생성
    let imgs = document.querySelectorAll('img'); // 웹페이지의 모든 이미지 선택
    imgs.forEach((img)=>{observer.observe(img)}); // 이미지 요소를 모니터링 옵저버 객체에 등록
});
